{% extends 'layout/page.html.twig' %}

{% block title %}Post index{% endblock %}

{% block page_header %}<h1>Recent Posts</h1>{% endblock %}

{% block command %}
    {% if app.user %}
        {% if app.request.query.get('mine') %}
            <a href="{{ path('post_index') }}" class="btn btn-info btn-lg">
                <i class="fa fa-filter"></i> Show all
            </a>
        {% else %}
            <a href="{{ path('post_index', {'mine': true}) }}" class="btn btn-success btn-lg">
                <i class="fa fa-filter"></i> Show mine only
            </a>
        {% endif %}

        <a href="{{ path('post_new') }}" class="btn btn-primary btn-lg">
            <i class="fa fa-plus"></i> Create new
        </a>
    {% endif %}
{% endblock %}

{% block content %}

    {% for post in posts %}

        <div class="border rounded p-3 my-4">
            <h2>{{post.title}}</h2>
            <p class="my-0">
                <small>
                    <span class="text-muted">Date:</span>
                    <i>{{post.getCreatedAt|date('Y-m-d')}}</i>

                    <span class="text-muted ml-4">Autor:</span>
                    <i>{{post.user.name}}</i>
                </small>
            </p>
            <p class="my-1">
                <pre class="post-preview my-0">{{post.content}}</pre>
                <a href="{{ path('post_show', {'id': post.id}) }}">
                    <small><i>Continue reading...</i></small>
                </a>
            </p>
        </div>
    {% else %}
        <p>No posts found</p>
    {% endfor %}

{% endblock %}
